Package: groovy.transform.stc

## [Java] Class ThirdParam.FirstGenericType

- groovy.transform.stc.ThirdParam.FirstGenericType

-     public static class ThirdParam.FirstGenericType
      extends PickAnyArgumentHint

  A hint used to instruct the type checker to pick the first generic type of the third parameter type. For example:

  `void <T> doWithElements(String first, Integer second, List<T> third, @ClosureParams(SecondParam.FirstGenericType.class) Closure c) { ... } }`
  Since:
    2.3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FirstGenericType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`

- - ### Constructor Detail

    - #### public FirstGenericType()